import { PropConfig } from "./types";

const props: PropConfig[] = [
  // Common
  ["display", null],
  ["position", null],

  "radius",
  "shadow",

  // Sizes
  ["width", "w"],
  ["w", "w"],
  ["height", "h"],
  ["h", "h"],
  ["maxW", "mw"],
  ["maxWidth", "mw"],
  ["maxH", "mh"],
  ["maxHeight", "mh"],

  // Flex
  ["alignItems", "items"],
  ["items", "items"],
  ["justifyContent", "justify"],
  ["flexWrap", "flex-wrap"],
  ["flexDirection", "flex"],
  ["direction", "flex"],
  ["dir", "flex"],
  ["wrap", "flex-wrap"],
  ["placeItems", "place"],
  ["place", "place"],

  // Spacing
  "gap",
  "gapX",
  "gapY",
  ["margin", "m"],
  ["marginX", "mx"],
  ["marginY", "my"],
  ["padding", "p"],
  ["paddingX", "px"],
  ["paddingY", "py"],
  "m",
  "mt",
  "mr",
  "mb",
  "ml",
  "mx",
  "my",
  "p",
  "pt",
  "pr",
  "pb",
  "pl",
  "px",
  "py",

  // Grid
  // TODO

  // Colors
  ["color", "text"],
  ["bg", "bg"],
  ["background", "bg"],
  ["borderColor", "border"],

  // Typography
  ["font", "font"],
  ["fontFamily", "font"],
  ["fontSize", "text"],
  ["fontWeight", "weight"],
  ["fontStyle", "font-style"],
  ["weight", "weight"],
  ["textAlign", "text"],
  ["textTransform", null],
  ["letterSpacing", "track"],
  ["lineHeight", "leading"],
];

export default props;
