const sass = require("sass");
const path = require("path");
const fs = require("fs");

console.log(`Building CSS`);

const result = sass.renderSync({
  file: path.join(__dirname, "../.storybook/river-design-system.scss"),
  outputStyle: "expanded",
});

fs.writeFileSync(
  path.join(__dirname, "../.storybook/river-design-system.css"),
  result.css
);

console.log(`Build complete.`);
